JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
// Get clipboard content
const clipboardContent = await box.action.clipboard.get();
// Print clipboard content
console.log(clipboardContent);
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create Android box
box = gbox_sdk.create(type="android")
# Get clipboard content
clipboard_content = box.action.clipboard.get()
print(clipboard_content)
if __name__ == "__main__":
main()curl --request GET \
--url https://gbox.ai/api/v1/boxes/{boxId}/actions/clipboard \
--header 'Authorization: Bearer <token>'"<string>"UI Action
Get clipboard
Get the clipboard content
GET
/
boxes
/
{boxId}
/
actions
/
clipboard
JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
// Get clipboard content
const clipboardContent = await box.action.clipboard.get();
// Print clipboard content
console.log(clipboardContent);
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create Android box
box = gbox_sdk.create(type="android")
# Get clipboard content
clipboard_content = box.action.clipboard.get()
print(clipboard_content)
if __name__ == "__main__":
main()curl --request GET \
--url https://gbox.ai/api/v1/boxes/{boxId}/actions/clipboard \
--header 'Authorization: Bearer <token>'"<string>"Authorizations
Enter your API Key in the format: Bearer . Get it from https://gbox.ai
Path Parameters
Box ID
Example:
"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"
Response
200 - application/json
The response is of type string.
Was this page helpful?